%define snap 20050724

Summary:	PhpSQLiteAdmin allows you to administer an sqlite database over a web interface
Name:		phpsqliteadmin
Version:	0.3
Release:	%mkrel 0.%{snap}.4
License:	GPL
Group:		System/Servers
URL:		http://phpsqliteadmin.sourceforge.net/
Source0:	phpsqliteadmin2-%{version}-%{snap}.tar.bz2
Patch0:		phpSQLiteAdmin-0.2-mdv_conf.diff
Requires(pre):  apache-mod_php php-sqlite php-gettext
Requires:       apache-mod_php php-sqlite php-gettext
Requires(post):	ccp >= 0.4.0
BuildRequires:	apache-base >= 2.0.54
BuildRequires:	perl
BuildArch: 	noarch
Provides:	phpSQLiteAdmin = %{version}
Obsoletes:	phpSQLiteAdmin
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
phpSQLiteAdmin allows you to administer an sqlite database over a web
interface.

%prep

%setup -q -n phpsqliteadmin2
%patch0 -p1

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

# strip away annoying ^M
for i in php txt css; do
    find . -type f -name "*.${i}" | xargs perl -p -i -e 's/\r//'
done

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}/var/www/%{name}/db
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}

install -m0644 *.php %{buildroot}/var/www/%{name}/
install -m0644 javascript.txt %{buildroot}/var/www/%{name}/
install -m0644 *.css %{buildroot}/var/www/%{name}/
install -m0644 db/*.sqlite %{buildroot}/var/www/%{name}/db/

mv %{buildroot}/var/www/%{name}/config.php %{buildroot}%{_sysconfdir}/%{name}/

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} %{_var}/www/%{name}

<Directory /var/www/%{name}>
    Allow from All
</Directory>

#<LocationMatch /%{name}>
#    Options FollowSymLinks
#    RewriteEngine on
#    RewriteCond %{SERVER_PORT} !^443$
#    RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
#</LocationMatch>

EOF

%post
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{_sysconfdir}/%{name}/config.php --newfile %{_sysconfdir}/%{name}/config.php.rpmnew
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc changelog.txt copying.txt readme.txt todo.txt create_system_db.sql
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %attr(0755,root,root) %{_sysconfdir}/%{name}
%attr(0640,apache,root) %config(noreplace) %{_sysconfdir}/%{name}/config.php
/var/www/%{name}
%attr(0644,apache,apache) /var/www/%{name}/db/*


%changelog
* Sun Jul 20 2008 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.20050724.4mdv2009.0
+ Revision: 239180
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Aug 19 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.20050724.3mdv2008.0
+ Revision: 66603
- fix build
- rebuild


* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3-0.20050724.2mdv2007.1
+ Revision: 145119
- lowercased
- adjust the patch
- added some spec file fixes

* Sun Feb 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-0.20050724.1mdv2007.1
+ Revision: 122578
- Fix typo found by berthy
- Import phpSQLiteAdmin

